package cn.ibizlab.core.uaa.filter;

import java.math.BigDecimal;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;

import lombok.Data;
import lombok.extern.slf4j.Slf4j;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;

import org.springframework.util.ObjectUtils;
import org.springframework.util.StringUtils;


import cn.ibizlab.util.filter.QueryWrapperContext;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import cn.ibizlab.core.uaa.domain.SYS_PERMISSION;
/**
 * 关系型数据实体[SYS_PERMISSION] 查询条件对象
 */
@Slf4j
@Data
public class SYS_PERMISSIONSearchContext extends QueryWrapperContext<SYS_PERMISSION> {

	private String n_sys_permissionid_like;//[资源标识]
	public void setN_sys_permissionid_like(String n_sys_permissionid_like) {
        this.n_sys_permissionid_like = n_sys_permissionid_like;
        if(!ObjectUtils.isEmpty(this.n_sys_permissionid_like)){
            this.getSelectCond().like("sys_permissionid", n_sys_permissionid_like);
        }
    }
	private String n_sys_permissionname_like;//[资源名称]
	public void setN_sys_permissionname_like(String n_sys_permissionname_like) {
        this.n_sys_permissionname_like = n_sys_permissionname_like;
        if(!ObjectUtils.isEmpty(this.n_sys_permissionname_like)){
            this.getSelectCond().like("sys_permissionname", n_sys_permissionname_like);
        }
    }
	private String n_systemid_eq;//[系统标识]
	public void setN_systemid_eq(String n_systemid_eq) {
        this.n_systemid_eq = n_systemid_eq;
        if(!ObjectUtils.isEmpty(this.n_systemid_eq)){
            this.getSelectCond().eq("systemid", n_systemid_eq);
        }
    }
	private String n_type_eq;//[资源类别]
	public void setN_type_eq(String n_type_eq) {
        this.n_type_eq = n_type_eq;
        if(!ObjectUtils.isEmpty(this.n_type_eq)){
            this.getSelectCond().eq("type", n_type_eq);
        }
    }
	private Integer n_enable_eq;//[逻辑有效]
	public void setN_enable_eq(Integer n_enable_eq) {
        this.n_enable_eq = n_enable_eq;
        if(!ObjectUtils.isEmpty(this.n_enable_eq)){
            this.getSelectCond().eq("enable", n_enable_eq);
        }
    }
	private String n_psdataentity_like;//[实体]
	public void setN_psdataentity_like(String n_psdataentity_like) {
        this.n_psdataentity_like = n_psdataentity_like;
        if(!ObjectUtils.isEmpty(this.n_psdataentity_like)){
            this.getSelectCond().like("psdataentity", n_psdataentity_like);
        }
    }
	private String n_psdedataset_like;//[数据集]
	public void setN_psdedataset_like(String n_psdedataset_like) {
        this.n_psdedataset_like = n_psdedataset_like;
        if(!ObjectUtils.isEmpty(this.n_psdedataset_like)){
            this.getSelectCond().like("psdedataset", n_psdedataset_like);
        }
    }
	private String n_psdedatarange_like;//[数据范围]
	public void setN_psdedatarange_like(String n_psdedatarange_like) {
        this.n_psdedatarange_like = n_psdedatarange_like;
        if(!ObjectUtils.isEmpty(this.n_psdedatarange_like)){
            this.getSelectCond().like("psdedatarange", n_psdedatarange_like);
        }
    }

    /**
	 * 启用快速搜索
	 */
	public void setQuery(String query)
	{
		 this.query=query;
		 if(!StringUtils.isEmpty(query)){
			this.getSelectCond().or().like("sys_permissionname",query);
		 }
	}
}




